Models/ErrorViewModel.cs
using System;

namespace TodoAppMVC.Models
{
    public class ErrorViewModel
    {
        public string RequestId { get; set; }

        public bool ShowRequestId => !string.IsNullOrEmpty(RequestId);
    }
}

Models/Student.cs
using System;

namespace TodoAppMVC.Models
{
    public class Student
    {
        public string FullName { get; set; }
        public string Address { get; set; }
        public DateTime Birthday { get; set; }
    }
}

Models/Teacher.cs
namespace TodoAppMVC.Models
{
    public class Teacher
    {
        public string Dni { get; set; }
        public string Name { get; set; }
        public string Course { get; set; }
    }
}

Models/ViewModels/StudentViewModel.cs
using System.Collections.Generic;

namespace TodoAppMVC.Models.ViewModels
{
    public class StudentViewModel
    {
        public List<Student> students { get; set; }

        public List<Teacher> teachers { get; set; }
    }
}

Controllers/HomeController.cs
using Microsoft.AspNetCore.Mvc;
using Microsoft.Extensions.Logging;
using System;
using System.Collections.Generic;
using System.Diagnostics;
using System.Linq;
using System.Threading.Tasks;
using TodoAppMVC.Models;

using TodoAppMVC.Models.ViewModels;

namespace TodoAppMVC.Controllers
{
    public class HomeController : Controller
    {
        //data mock -> simulación de una base de datos
        private static List<Student> students = new List<Student>()
            {
                new Student() { FullName = "Pedro Aguirre", Address = "Chacabuco 1645", Birthday = DateTime.Today.AddYears(-20)},
                new Student() { FullName = "Juan Perez", Address = "Carrera 1645", Birthday = DateTime.Today.AddYears(-35)},
                new Student() { FullName = "Martin Ram", Address = "Rengo 158", Birthday = DateTime.Today.AddYears(-45)},
            };

        private static List<Teacher> teachers = new List<Teacher>()
        {
            new Teacher() { Dni = "18.677.972-k", Name = "Gustavo Rebolledo", Course = "PWEB"},
            new Teacher() { Dni = "18.677.964-9", Name = "Paulina Perez", Course = "POO"}
        };

        public HomeController()
        {
        }

        public IActionResult Index()
        {
            ViewData["subtitulo"] = "Lista de estudiantes y profesores";

            StudentViewModel viewModel = new StudentViewModel();
            viewModel.students = students;
            viewModel.teachers = teachers;

            return View(viewModel);
        }

        public IActionResult Privacy()
        {
            return View();
        }

        public IActionResult Error()
        {
            return View(new ErrorViewModel { RequestId = Activity.Current?.Id ?? HttpContext.TraceIdentifier });
        }

        public IActionResult Contact()
        {
            return View();
        }
    }
}

Controllers/OtherController.cs
using Microsoft.AspNetCore.Mvc;

namespace TodoAppMVC.Controllers
{
    public class OtherController : Controller
    {
        public IActionResult Index()
        {
            return View();
        }
    }
}

Views/Home/Contact.cshtml
@{
    ViewData["Title"] = "Formulario de contacto";
}

<h5>Formulario de Contacto</h5>

<form>
    <label>Correo Electrónico</label>
    <input type="text" class="form-control" />
    <label>Motivo</label>
    <textarea  class="form-control"></textarea>
    <button type="button" class="btn btn-block btn-success">Enviar</button>
</form>

Views/Home/Index.cshtml
@{
    ViewData["Title"] = "Home Page";
}

@model TodoAppMVC.Models.ViewModels.StudentViewModel;

<div class="container-fluid">
    <h5 class=""> @ViewData["subtitulo"] </h5>
    <div class="row">
        <div class="col">
            <table class="table table-responsive">
                <tr>
                    <th>
                        Nombre Completo
                    </th>
                    <th>
                        Dirección
                    </th>
                    <th>
                        Fecha de Nacimiento
                    </th>
                </tr>
                @foreach(Student student in @Model.students)
                {
                    <tr>
                        <td>@student.FullName</td>
                        <td>@student.Address</td>
                        <td>@student.Birthday.ToShortDateString()</td>
                    </tr>    
                }
            </table>
            <p class="">Cantidad de estudiantes: @Model.students.Count </p>
        </div>
        <div class="col">
             <table class="table table-responsive">
                <tr>
                    <th>
                        Rut
                    </th>
                    <th>
                        Nombre Completo
                    </th>
                    <th>
                        Asignatura
                    </th>
                </tr>
                @foreach(Teacher teacher in @Model.teachers)
                {
                    <tr>
                        <td>@teacher.Dni</td>
                        <td>@teacher.Name</td>
                        <td>@teacher.Course</td>
                    </tr>    
                }
            </table>
            <p class="">Cantidad de profesores: @Model.teachers.Count </p>
        </div>
    </div>
    
   
    
</div>

Views/Other/Index.cshtml
@*
    For more information on enabling MVC for empty projects, visit https://go.microsoft.com/fwlink/?LinkID=397860
*@
@{
}
<h1>Hola desde el otro Controlador</h1>

Views/Shared/_Layout.cshtml
<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="utf-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <title>@ViewData["Title"] - TodoAppMVC</title>
    <link rel="stylesheet" href="~/lib/bootstrap/dist/css/bootstrap.min.css" />
    <link rel="stylesheet" href="~/css/site.css" />
</head>
<body>
    <header>
        <nav class="navbar navbar-expand-sm navbar-toggleable-sm navbar-light bg-white border-bottom box-shadow mb-3">
            <div class="container">
                <a class="navbar-brand" asp-area="" asp-controller="Other" asp-action="Index">TodoAppMVC</a>
                <button class="navbar-toggler" type="button" data-toggle="collapse" data-target=".navbar-collapse" aria-controls="navbarSupportedContent"
                        aria-expanded="false" aria-label="Toggle navigation">
                    <span class="navbar-toggler-icon"></span>
                </button>
                <div class="navbar-collapse collapse d-sm-inline-flex justify-content-between">
                    <ul class="navbar-nav flex-grow-1">
                        <li class="nav-item">
                            <a class="nav-link text-dark" asp-area="" asp-controller="Home" asp-action="Index">Home</a>
                        </li>
                        <li class="nav-item">
                            <a class="nav-link text-dark" asp-area="" asp-controller="Home" asp-action="Privacy">Privacy</a>
                        </li>
                    </ul>
                </div>
            </div>
        </nav>
    </header>
    <div class="container">
        <main role="main" class="pb-3">
            @RenderBody()
        </main>
    </div>

    <footer class="border-top footer text-muted">
        <div class="container">
            &copy; 2022 - TodoAppMVC - <a asp-area="" asp-controller="Home" asp-action="Privacy">Privacy</a>
        </div>
    </footer>
    <script src="~/lib/jquery/dist/jquery.min.js"></script>
    <script src="~/lib/bootstrap/dist/js/bootstrap.bundle.min.js"></script>
    <script src="~/js/site.js" asp-append-version="true"></script>
    @await RenderSectionAsync("Scripts", required: false)
</body>
</html>